/* Generated from fs.xg */
#include <rx/rx.h>
#include "fs.h"

int StartRXAFS_FetchData(
struct rx_call *call
, struct AFSFid *a_fidToFetchP
, int32_t a_offset
, int32_t a_lenInBytes
);

int EndRXAFS_FetchData(
struct rx_call *call
, struct AFSFetchStatus *a_fidStatP
, struct AFSCallBack *a_callBackP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_FetchACL(
struct rx_connection *connection
, const struct AFSFid *a_dirFidP
, AFSOpaque *a_ACLP
, struct AFSFetchStatus *a_dirNewStatP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_FetchStatus(
struct rx_connection *connection
, const struct AFSFid *a_fidToStatP
, struct AFSFetchStatus *a_currStatP
, struct AFSCallBack *a_callBackP
, struct AFSVolSync *a_volSyncP
);

int StartRXAFS_StoreData(
struct rx_call *call
, struct AFSFid *a_fidToStoreP
, struct AFSStoreStatus *a_fidStatusP
, int32_t a_offset
, int32_t a_lenInBytes
, int32_t a_fileLenInBytes
);

int EndRXAFS_StoreData(
struct rx_call *call
, struct AFSFetchStatus *a_fidStatP
, struct AFSCallBack *a_callBackP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_StoreACL(
struct rx_connection *connection
, const struct AFSFid *a_dirFidP
, const AFSOpaque *a_ACLToStoreP
, struct AFSFetchStatus *a_dirNewStatP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_StoreStatus(
struct rx_connection *connection
, const struct AFSFid *a_fidP
, const struct AFSStoreStatus *a_currStatusP
, struct AFSFetchStatus *a_srStatusP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_RemoveFile(
struct rx_connection *connection
, const struct AFSFid *a_dirFidP
, const char a_name[256]
, struct AFSFetchStatus *a_srvStatusP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_CreateFile(
struct rx_connection *connection
, const struct AFSFid *DirFid
, const char Name[256]
, const struct AFSStoreStatus *InStatus
, struct AFSFid *OutFid
, struct AFSFetchStatus *OutFidStatus
, struct AFSFetchStatus *OutDirStatus
, struct AFSCallBack *CallBack
, struct AFSVolSync *a_volSyncP
);

int RXAFS_Rename(
struct rx_connection *connection
, const struct AFSFid *a_origDirFidP
, const char a_origNameP[256]
, const struct AFSFid *a_newDirFidP
, const char a_newNameP[256]
, struct AFSFetchStatus *a_origDirStatusP
, struct AFSFetchStatus *a_newDirStatusP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_Symlink(
struct rx_connection *connection
, const struct AFSFid *a_dirFidP
, const char a_nameP[256]
, const char a_linkContentsP[256]
, const struct AFSStoreStatus *a_origDirStatP
, struct AFSFid *a_newFidP
, struct AFSFetchStatus *a_newFidStatP
, struct AFSFetchStatus *a_newDirStatP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_Link(
struct rx_connection *connection
, const struct AFSFid *a_dirFidP
, const char a_nameP[256]
, const struct AFSFid *a_existingFidP
, struct AFSFetchStatus *a_newFidStatP
, struct AFSFetchStatus *a_newDirStatP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_MakeDir(
struct rx_connection *connection
, const struct AFSFid *a_parentDirFidP
, const char a_newDirNameP[256]
, const struct AFSStoreStatus *a_currStatP
, struct AFSFid *a_newDirFidP
, struct AFSFetchStatus *a_dirFidStatP
, struct AFSFetchStatus *a_parentDirStatP
, struct AFSCallBack *a_newDirCallBackP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_RemoveDir(
struct rx_connection *connection
, const struct AFSFid *a_parentDirStatP
, const char a_dirNameP[256]
, struct AFSFetchStatus *a_newParentDirStatP
, struct AFSVolSync *a_volSyncP
);

int RXAFS_GiveUpCallBacks(
struct rx_connection *connection
, const AFSCBFids *a_fidArrayP
, const AFSCBs *a_callBackArrayP
);

int RXAFS_GetVolumeStatus(
struct rx_connection *connection
, const int32_t a_volIDP
, struct AFSFetchVolumeStatus *a_volFetchStatP
, char a_volNameP[256]
, char a_offLineMsgP[1024]
, char a_motdP[1024]
);

int RXAFS_SetVolumeStatus(
struct rx_connection *connection
, const int32_t a_volIDP
, const struct AFSStoreVolumeStatus *a_volStoreStatP
, const char a_volNameP[256]
, const char a_offLineMsgP[1024]
, const char a_motdP[1024]
);

int RXAFS_GetRootVolume(
struct rx_connection *connection
, char a_rootVolNameP[256]
);

int RXAFS_GetTime(
struct rx_connection *connection
, u_int32_t *a_secondsP
, u_int32_t *a_uSecondsP
);

int RXAFS_NGetVolumeInfo(
struct rx_connection *connection
, const char VolumeName[256]
, struct AFSVolumeInfo *stuff
);

int RXAFS_BulkStatus(
struct rx_connection *connection
, const AFSCBFids *FidsArray
, AFSBulkStats *StatArray
, AFSCBs *CBArray
, struct AFSVolSync *Sync
);

int RXAFS_SetLock(
struct rx_connection *connection
, const struct AFSFid *Fid
, const ViceLockType Type
, struct AFSVolSync *Sync
);

int RXAFS_ExtendLock(
struct rx_connection *connection
, const struct AFSFid *Fid
, struct AFSVolSync *Sync
);

int RXAFS_ReleaseLock(
struct rx_connection *connection
, const struct AFSFid *Fid
, struct AFSVolSync *Sync
);

