/* Generated from fs.xg */
#include <rx/rx.h>
#include "fs.h"

int _RXAFS_FetchData(
struct rx_call *call);
int RXAFS_FetchData(
struct rx_call *call
, const struct AFSFid *a_fidToFetchP
, const int32_t a_offset
, const int32_t a_lenInBytes
, struct AFSFetchStatus *a_fidStatP
, struct AFSCallBack *a_callBackP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_FetchACL(
struct rx_call *call);
int RXAFS_FetchACL(
struct rx_call *call
, const struct AFSFid *a_dirFidP
, AFSOpaque *a_ACLP
, struct AFSFetchStatus *a_dirNewStatP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_FetchStatus(
struct rx_call *call);
int RXAFS_FetchStatus(
struct rx_call *call
, const struct AFSFid *a_fidToStatP
, struct AFSFetchStatus *a_currStatP
, struct AFSCallBack *a_callBackP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_StoreData(
struct rx_call *call);
int RXAFS_StoreData(
struct rx_call *call
, const struct AFSFid *a_fidToStoreP
, const struct AFSStoreStatus *a_fidStatusP
, const int32_t a_offset
, const int32_t a_lenInBytes
, const int32_t a_fileLenInBytes
, struct AFSFetchStatus *a_fidStatP
, struct AFSCallBack *a_callBackP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_StoreACL(
struct rx_call *call);
int RXAFS_StoreACL(
struct rx_call *call
, const struct AFSFid *a_dirFidP
, const AFSOpaque *a_ACLToStoreP
, struct AFSFetchStatus *a_dirNewStatP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_StoreStatus(
struct rx_call *call);
int RXAFS_StoreStatus(
struct rx_call *call
, const struct AFSFid *a_fidP
, const struct AFSStoreStatus *a_currStatusP
, struct AFSFetchStatus *a_srStatusP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_RemoveFile(
struct rx_call *call);
int RXAFS_RemoveFile(
struct rx_call *call
, const struct AFSFid *a_dirFidP
, const char a_name[256]
, struct AFSFetchStatus *a_srvStatusP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_CreateFile(
struct rx_call *call);
int RXAFS_CreateFile(
struct rx_call *call
, const struct AFSFid *DirFid
, const char Name[256]
, const struct AFSStoreStatus *InStatus
, struct AFSFid *OutFid
, struct AFSFetchStatus *OutFidStatus
, struct AFSFetchStatus *OutDirStatus
, struct AFSCallBack *CallBack
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_Rename(
struct rx_call *call);
int RXAFS_Rename(
struct rx_call *call
, const struct AFSFid *a_origDirFidP
, const char a_origNameP[256]
, const struct AFSFid *a_newDirFidP
, const char a_newNameP[256]
, struct AFSFetchStatus *a_origDirStatusP
, struct AFSFetchStatus *a_newDirStatusP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_Symlink(
struct rx_call *call);
int RXAFS_Symlink(
struct rx_call *call
, const struct AFSFid *a_dirFidP
, const char a_nameP[256]
, const char a_linkContentsP[256]
, const struct AFSStoreStatus *a_origDirStatP
, struct AFSFid *a_newFidP
, struct AFSFetchStatus *a_newFidStatP
, struct AFSFetchStatus *a_newDirStatP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_Link(
struct rx_call *call);
int RXAFS_Link(
struct rx_call *call
, const struct AFSFid *a_dirFidP
, const char a_nameP[256]
, const struct AFSFid *a_existingFidP
, struct AFSFetchStatus *a_newFidStatP
, struct AFSFetchStatus *a_newDirStatP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_MakeDir(
struct rx_call *call);
int RXAFS_MakeDir(
struct rx_call *call
, const struct AFSFid *a_parentDirFidP
, const char a_newDirNameP[256]
, const struct AFSStoreStatus *a_currStatP
, struct AFSFid *a_newDirFidP
, struct AFSFetchStatus *a_dirFidStatP
, struct AFSFetchStatus *a_parentDirStatP
, struct AFSCallBack *a_newDirCallBackP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_RemoveDir(
struct rx_call *call);
int RXAFS_RemoveDir(
struct rx_call *call
, const struct AFSFid *a_parentDirStatP
, const char a_dirNameP[256]
, struct AFSFetchStatus *a_newParentDirStatP
, struct AFSVolSync *a_volSyncP
);

int _RXAFS_GiveUpCallBacks(
struct rx_call *call);
int RXAFS_GiveUpCallBacks(
struct rx_call *call
, const AFSCBFids *a_fidArrayP
, const AFSCBs *a_callBackArrayP
);

int _RXAFS_GetVolumeStatus(
struct rx_call *call);
int RXAFS_GetVolumeStatus(
struct rx_call *call
, const int32_t a_volIDP
, struct AFSFetchVolumeStatus *a_volFetchStatP
, char a_volNameP[256]
, char a_offLineMsgP[1024]
, char a_motdP[1024]
);

int _RXAFS_SetVolumeStatus(
struct rx_call *call);
int RXAFS_SetVolumeStatus(
struct rx_call *call
, const int32_t a_volIDP
, const struct AFSStoreVolumeStatus *a_volStoreStatP
, const char a_volNameP[256]
, const char a_offLineMsgP[1024]
, const char a_motdP[1024]
);

int _RXAFS_GetRootVolume(
struct rx_call *call);
int RXAFS_GetRootVolume(
struct rx_call *call
, char a_rootVolNameP[256]
);

int _RXAFS_GetTime(
struct rx_call *call);
int RXAFS_GetTime(
struct rx_call *call
, u_int32_t *a_secondsP
, u_int32_t *a_uSecondsP
);

int _RXAFS_NGetVolumeInfo(
struct rx_call *call);
int RXAFS_NGetVolumeInfo(
struct rx_call *call
, const char VolumeName[256]
, struct AFSVolumeInfo *stuff
);

int _RXAFS_BulkStatus(
struct rx_call *call);
int RXAFS_BulkStatus(
struct rx_call *call
, const AFSCBFids *FidsArray
, AFSBulkStats *StatArray
, AFSCBs *CBArray
, struct AFSVolSync *Sync
);

int _RXAFS_SetLock(
struct rx_call *call);
int RXAFS_SetLock(
struct rx_call *call
, const struct AFSFid *Fid
, const ViceLockType Type
, struct AFSVolSync *Sync
);

int _RXAFS_ExtendLock(
struct rx_call *call);
int RXAFS_ExtendLock(
struct rx_call *call
, const struct AFSFid *Fid
, struct AFSVolSync *Sync
);

int _RXAFS_ReleaseLock(
struct rx_call *call);
int RXAFS_ReleaseLock(
struct rx_call *call
, const struct AFSFid *Fid
, struct AFSVolSync *Sync
);

int RXAFS_ExecuteRequest(struct rx_call *call);
